Assets

Delete a single asset by ID

DELETE
/assets/{asset_id}

Delete a specific uploaded image asset. Only the original uploader can delete their assets.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Path Parameters

asset_id*string

Response Body

Successful Response

application/json
  1. response
deleted_count*Deleted Count

Number of assets successfully deleted.

failed_ids*array<string>

List of asset IDs that failed to delete (not found or no access).

curl -X DELETE "https://example.com/assets/string"
{  "deleted_count": 0,  "failed_ids": [    "string"  ]}